.rpm is the file-format used by the RPM Package Manager (originally the Red Hat Package Manager), found primarily in Red Hat Linux and its derivatives.

learn more… | top users | synonyms

2
votes
1answer
264 views

rpm/yum: require minimum version of optional package

I have two packages, python-modules and python-modules-foo. python-modules-foo does not require python-modules to be installed, but if python-modules is installed, it must be at least version X. In ...
2
votes
1answer
3k views

Why do I get Files Listed Twice when building my RPM?

My understanding is that if I specify the %dir directive under the %files list, RPM will not list any files under that directory. Doing this can allow you to set specific permissions for the directory ...
1
vote
1answer
137 views

dpkg-reconfigure on CentOS (for openssh_server)

Systems that use the apt packaging system have access to a command called dpkg-reconfigure which, depending on the package, re-runs some setup commands. At least on Ubuntu, it's possible to ...
1
vote
1answer
55 views

rpm --ignoreos equivalent in yum

I have created an rpm on OSX that I want to install on CentOS6. I can do that with the following command: rpm -i --ignoreos <some_package>.rpm I'm wondering if there is an equivalent command ...
1
vote
1answer
115 views

How to remove an imported key during rpm uninstall

I'm creating an RPM package (let's call it Foo) that contains a gpg key that will be used to sign other RPMs. During the postinstall script for Foo, I execute 'rpm --import [keyfile]' to import the ...
0
votes
1answer
4 views

Can rpm spec files be used to support SIMD-aware packaged builds?

http://www.rpm.org/max-rpm/ch-rpm-multi.html makes clear that RPM can be used to target different platforms, but is it possible to use RPM to target multiple different flavours within a platform? ...
0
votes
1answer
57 views

Yum error when trying to install remi repo

New installation of CentOS 7.2 with Apache 2.4.6. Trying to install the remi repo so that I can upgrade to PHP 5.6 (yum only provides 5.4). When trying to install the repo from an rpm, I get the ...
0
votes
1answer
54 views

zypper or yast unable to install third-party RPM from local repository

I am using a SLES11 SP4 machine, and trying to install an RPM from local yum repository. All other RPMs which are provided by SUSE and copied in my local repository installs fine like mysql, samba etc....
0
votes
1answer
38 views

cannot find libcrypto.so.1.0.0 src rpm

I'm required to install python-requests using RPM's. I've downloaded: python-requests python-py python-cryptography python-pyOpenSSL and unfortunately the SLES zypper tool is advising that ...
0
votes
1answer
204 views

Is there a way to install Google Chrome on Linux and have all the needed dependencies automatically installed?

I’m trying to install Google chrome on the following version of 64-bit Linux … [davea@mydevbox mydir]$ uname -a Linux mydevbox.mydomain.com 1.3.8-18.52.amzn1.x86_64 #1 SMP Wed Mar 16 17:15:34 UTC ...
0
votes
1answer
62 views

Unable to install rpm in a particular path (cpio: mkdir failed - No such file or directory)

My .rpm files like this.. $> rpm2cpio bq1510-15.10.01.06-1.i386.rpm | cpio -it ./opt ./opt/td ./opt/td/client ./opt/td/client/15.10 ./opt/td/client/15.10/bin ./opt/td/client/15.10/bin/bq ./opt/td/...
0
votes
1answer
363 views

xenserver 6.5/centos 5.10 parted/glibc upgrade missing dependency that is not missing

I cannot seem to find the official best way to get round this issue: $ yum --enablerepo=base --disablerepo=citrix install parted Loaded plugins: fastestmirror Loading mirror speeds from cached ...
0
votes
1answer
113 views

RPM `requires` installation order

I'm seeking for help from RPM experts. Suppose I have an RPM package A which depends on package B. RPM A's spec has Requires:B with autoprov and autoreq enabled. When I install RPM A on a centos 6.5 ...
0
votes
1answer
129 views

How to get the order in which rpm will install a set of new packages?

I have a set of rpm packages. I am going to install all of them at once, but before doing it I want to get the order in which they are going to be installed. I know if I provide all of them to the ...
0
votes
1answer
274 views

RPM created using checkinstall giving dependency error

Compiled openssl-1.0.1.i using commands: export CFLAGS="-fPIC" ./config shared --openssldir=/usr/share/ssl make depend make all make install here it is not asking for any dependencies I am able to ...
0
votes
1answer
495 views

rpmbuild shows prelink:at least one of file's dependencies has changed since prelinking

I have one directory which i have updated to latest Now when i try rpmbuild it shows prelink: /pgsql/pgAdmin3/lib/libpng12.so.0.10.0: at least one of file's dependencies has changed since prelinking ...
0
votes
1answer
116 views

how to make rpmbuild automatically generate require >= and not =

I rpmbuild a package and afterwards I find that it requires python(abi) = 2.5 . I don't want to use AutoReqProv: no to suppress generation of requirements completely, I just want to make it ...
0
votes
1answer
648 views

How to write dependency rules in rpm .spec file for RHEL OS

I need to build one rpm package, that should be dependent on the installation of another rpm package. On my PC, the dependent package has been installed, with a name like abcd-1425-a.x86_64. I wrote ...
0
votes
1answer
2k views

Yum does not install specific RPM version with custom repo

We use RPMS for our packaging and yum to update our environments. We have an rpm package-5.1.1-3 installed in our production server and in our yum repository we have 2 newer versions such as package-...
0
votes
1answer
237 views

Redhat Enterprise Linux 5.9: Yum Updates Not Working: TypeError 'NoneType'

We have a RHEL 5.9 which is refusing to apply updates. For example, if I do a command like: yum update then I get an error like in this thread: https://bugzilla.redhat.com/show_bug.cgi?id=824663 [I ...
0
votes
1answer
43 views

RPM User specific updates

I have packaged my software as rpm and everything is working just fine with software however there is one part of contents of rpm which I can't find proper way to update. Every user in system has ~/...
0
votes
1answer
310 views

Good way to resolve dependencies for .rpm installation

I am trying to install jdk-7u25-linux-x64.rpm through rpm. However, rpm says it conflicts with jre-1.6.0_13-fcs. I then try to remove jre-1.6.0_13-fcs but it fails because there are other packages ...
0
votes
1answer
1k views

How to install PostgreSQL 9.2 on CentOS 5?

PostgreSQL 9.2 isn't available on CentOS (the latest version is 8.1), so in order to get it, one has to add a postgre repository with the command rpm -ivh http://yum.postgresql.org/9.2/redhat/rhel-5-...
0
votes
1answer
84 views

rpm-spec and Home's user folder

I'm just trying to figure out how to know in an rpm package that calls sudo, and put some files in the non-root home folder for the users who call sudo or are root. I tried with something like this: ...
0
votes
1answer
86 views

Is there Gentoo's “world” set analogue for rpm-based distributions?

I want to maintain my Fedora distribution clean and tidy. So, I always want to have installed only required packages. The necessity of a top packages is determined by me and some minimal system set. ...
0
votes
1answer
284 views

centos and fontpackages-filesystem

How do I go about installing fontpackages-filesystem onto centos? Getting the error: Missing Dependency: fontpackages-filesystem >= 1.13 is needed by package liberation-fonts-common-1.05.1....
0
votes
1answer
293 views

unable to run OpenOffice from text mode

I have installed OpenOffice in Redhat5 in text mode. When I tried to start OpenOffice using the command: sudo /usr/lib/openoffice/program/soffice "-accept=socket,host=localhost,port=8100; urp;...
2
votes
0answers
150 views

Install perl module from rpm file

I have a perl issue and obviously I'm not a perl expert. I can not use CPAN. I've installed File::Pid using a rpm, or I tried. I downloaded perl-File-Pid-1.01-3.el5.noarch.rpm (and the perl-Class-...
1
vote
0answers
10 views

RPM spec: How to erase an RPM before one is installed

I have an RPM called dcca-img.rpm In the spec file of above RPM, in PreReqs we have mysql-client and mysql, as a result before dcca-img.rpm is installed both are getting installed as expected. PreReq:...
1
vote
0answers
36 views

Fedora 24: no build.include / try to generate autoconf.h

Trying to build a package which needs autoconf.h So i installed kernel-devel, ran make oldconfig and make prepare but unfortunalety it did not work Couldn't find any solution in the web, any ideas? ...
1
vote
0answers
13 views

Is using protected_multilib with yum a bad thing?

I have a case where I would like to install multiple versions of a package installed side-by-side. The rpms have been crafted such that the paths of the files are different - so there should be no ...
1
vote
0answers
353 views

can't start biber(bibLaTex Compiler), although it is successful installed (fedora21)

solved Hey, i installed texlive-biblatex* , but strangly i cant start it, using "biber". $ biber bash: biber: Befehl nicht gefunden... Also i cant access the manpage for bibLaTeX: $ man ...
1
vote
0answers
631 views

How to measure a HDD's RPM speed?

EDIT: My original intent with this question was to figure out if it would be worth purchasing a 7200rpm drive if mine turns out to be 5400rpm, but JakeGould has made it clear that RPM alone is not ...
1
vote
0answers
136 views

Virtualbox installation in SLES11 SP2

Trying to install virtualbox in SLES11 SP2 Downlaod the source rpm from https://www.virtualbox.org/wiki/Linux_Downloads Installed it like rpm -ivh VirtualBox-4.3-4.3.20_96996_sles11.0-1.x86_64.rpm ...
1
vote
0answers
2k views

package-cleanup --cleandupes fails to remove duplicates

I have an issue with duplicate packages installed on my Fedora machine: # package-cleanup --dupes Loaded plugins: langpacks, refresh-packagekit audit-2.3.3-1.fc20.x86_64 audit-2.3.2-1.fc20.x86_64 dnf-...
1
vote
0answers
145 views

linux + squashfs-tools for red-hat 5.3

I want to install the squashfs-tools-4.0-5.el6.i686.rpm But I have the following dependencies ( after RPM installation ) please advice what the additional packages that I need to install on my linux ...
1
vote
0answers
193 views

Archey installs properly, but spits a runtime error

I installed the RPM listed here (archey-0.2.6-6.noarch.rpm) for Archey: When I run it, I get the following output: $ archey Traceback (most recent call last): File "/usr/bin/archey", line 290, in ...
1
vote
0answers
122 views

Centos5: Custom comps.xml documentation/options?

I've got an app that I've packaged into rpms along with some of its dependencies. I'd like to be able to have it accessible as a group for easy install/uninstall. However, there's not too many ...
1
vote
0answers
123 views

How to prevent the RPM from freezing?

I've tried to install several things using redhat's RPM, but every time I try it freezes when the progress bar arrives to "Processing Headers" I've tried rebuilding the rpm's database rpm --...
0
votes
0answers
61 views

Why does vim-common conflict with vim-minimal on fedora23 and centos?

I generally need both vim-common and vim-minimal to have a usable system. I need vim-minimal because package sudo unconditionally depends on it (and I need sudo). vim-common in turn is a dependency of ...
0
votes
0answers
46 views

rpmfusion error for installing mplayer

I am trying to install mplayer and geckoplayer (using CentOS 7) for firefox, as I wanted to play videos on 360training and QuickTime isn't available for linux. While trying to install from rpmfusion ...
0
votes
0answers
30 views

Getting “rpm: -–import: unknown option” when tryihng to import public key on Amazon Linux

I’m tryhing to install Google Chrome on Amazon Linux using this site — , and one of the steps is [davea@mydevbox ~]$ sudo rpm -–import linux_signing_key.pub Unfortunately, when I try this, I get ...
0
votes
0answers
22 views

Finding oldest packages that satisfy dependencies

I need a way to determine which packages would need to be installed to satisfy the dependencies for a package. At the moment, I'm doing: repoquery -R --resolve <package> but I need the ...
0
votes
0answers
52 views

Unable to crack RPM

Downloaded from pkgs.org via wget 2xrpm and via browser 1xrpm for package libretroarch from Rosa and from Mandriva. Do not think there could have been a faulty download, as all three packages are ...
0
votes
0answers
237 views

SLES 11 update glibc using rpm

I'm trying to upgrade glibc but I'm getting failed dependencies however it also says the dependencies is (installed)? Should I run it with ignore all dependencies? SUSE Linux Enterprise Server 11 (...
0
votes
0answers
250 views

Is there a way to determine what RPM --relocate was used to install the rpm package

After a rpm package is installed using --relocate, is there any way to find out what value was used with the --relocate option?
0
votes
0answers
331 views

YUM and RPM crash due to the liblua-5.1 library being missing

I've been playing around with a LiveUsb install of basic Fedora with persistence. I attempted to install moonscript, which requires Lua and LuaRocks. After installing Lua and discovering there were ...
0
votes
0answers
2k views

use i3 tiling window manager in RHEL 5

For some time I have been using the i3 tiling window manager in Ubuntu. However at my new company we use RHEL5. I would dearly love to port over all my configs but Im having some trouble... An ...
0
votes
0answers
133 views

Mock --init failing on perl command

I have a rather unique situation here that about 2 hours of googling couldn't help me with. I'm building a project using Cmake that will eventually generate rpms for target architectures using mock. ...
0
votes
0answers
923 views

RPM installation returning exit code 1

I'm working on an embedded system and have created a bunch of RPMs. The following problem is present in some of the RPMs. When I install/upgrade version 2 of the RPM on top of version 1 or install ...